IDE disks not found

Bug #97325 reported by Anders on 2007-03-28
This bug report is a duplicate of:  Bug #106931: Unable to detect ITE8212 RAID0 array. Edit Remove
14
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: linux-source-2.6.20

In a bug hidden by Bug #84964, I am now able to boot up (blocked by bug #84964 because I have a SATA disk connected with my ubuntu system on it). I can now boot using the latest kernel (2.6.20.13-*), 84964 is fixed, BUT the boot fails when checking disks and drops out to a root shell saying it can't find disk by uuid and suggests running fsck. fsck fails as the 2 IDE disks connected to the motherboard's IDE controller are not found.

My motherboard is a Gigabyte GA-965P-DS3

Anders (andersja+launchpad-net) wrote :

I should add that this is something that has happened between 2.6.20-6 and 2.6.20-13, as I had a fully functional system running Feisty beta until Bug #84964 came about

sam tygier (samtygier) wrote :

can you attach your /etc/fstab

Changed in linux-source-2.6.20:
status: Unconfirmed → Needs Info
Tim Gardner (timg-tpi) wrote :

Keep a watch on #97179 as I think it is closely related, if not a duplicate. Same motherboard, slightly different symptoms.

Changed in linux-source-2.6.20:
assignee: nobody → timg-tpi
Anders (andersja+launchpad-net) wrote :

I tried to reconnect my IDE hard drives to a separate IDE / RAID PCI controller card to no avail; system still behaving bizarrely

Attached is the rather bizarre sight when booting: "apt-get" is not installed, you can install it by typing apt-get install apt-get ??!!

Anders (andersja+launchpad-net) wrote :

/etc/fstab attached as requested

Anders (andersja+launchpad-net) wrote :
Changed in linux-source-2.6.20:
status: Needs Info → Confirmed
Anders (andersja+launchpad-net) wrote :

Found some workarounds / indicators in the forums and got the PC up by doing Ctrl+D:

http://ubuntuforums.org/showthread.php?t=388705&highlight=drive-by-uuid

attaching fstab files for further assistance

Anders (andersja+launchpad-net) wrote :

appears fsck can't find one of the partitions (but it's there, according to the screenshot above?)

fsck.ext3: Unable to resolve 'UUID=d4f96ce8-db6f-4cb3-b8b0-d91993e44225'

As we have seen from ls /dev/disk/by-uuid/ -alh the disk is there. GNOME also finds is and allows GUI-based mounting of the disk. Any clues here why the boot fails so spectacularly?

Tim Gardner (timg-tpi) wrote :

This problem has to do with the JMicron controller on your motherboard. Get the daily ISO on Monday Apr 2 from http://cdimage.ubuntu.com/daily-live/current which will contain lib-ata fixes, boot from the CD and make sure all of your drives appear. If so, then we'll proceed from there.

Changed in linux-source-2.6.20:
assignee: timg-tpi → ubuntu-kernel-team
importance: Undecided → Low

I upgraded the kernel to 2.6.20-14.* and can confirm that this was a REGRESSION over 2.6.20-13:

On 2.6.20-13, I do get the fsck failure at boot, but continuing the boot without fsck'ing works: one of my 2 IDE disks gets automounted (it contains my /home, so fairly essential), the other is shown in the side panel of the GNOME file manager as "297 Gb Hard drive" and I can mount it to /media/disk by doubleclicking on it and entering my password. This is - needless to say - a hassle but acceptable: the disk is working but is not mounted to where I want it and where I have spesified it in fstab (I want it as /media/shared-files )

On 2.6.20-14 neither IDE disk is recognized at boot, causing the fsck failure at boot and when the login manager comes up, it gives me a warning that /home/{username} is not available and suggests I rectify it.

The two IDE disks are connected as master/slave on one of two ports on a PCI IDE controller card. As they work in 2.6.20-13 (with a bit of fiddling for the second disk) I assume the problem is not with this controller....?

I assume this is a regerssion in 2.6.20-14 over 2.6.20-13? Please let me know any additional info I can submit to help fix this issue?

Tim Gardner (timg-tpi) wrote :

Can you just boot from a recent Live CD with a 2.6.20-14 kernel and attach the output of dmesg and 'lspci -vvn'. Lets make the kernel can at least correctly detect your disk drive configuration.

Download full text (12.4 KiB)

Reshuffled the IDE cables on the IT8212 card: 1 disk per cable (no longer master/slave). PC boots up on 2.6.20-14, one disk is still undetected.

dmesg attached.

andersja@plasken:~$ lspci -vvn
00:00.0 0600: 8086:29a0 (rev 02)
        Subsystem: 1458:5000
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
        Latency: 0
        Capabilities: <access denied>

00:01.0 0604: 8086:29a1 (rev 02) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 00006000-00006fff
        Memory behind bridge: f4000000-f6ffffff
        Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
        Capabilities: <access denied>

00:1a.0 0c03: 8086:2834 (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1458:5004
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 4: I/O ports at d000 [size=32]

00:1a.1 0c03: 8086:2835 (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1458:5004
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 20
        Region 4: I/O ports at c000 [size=32]

00:1a.7 0c03: 8086:283a (rev 02) (prog-if 20 [EHCI])
        Subsystem: 1458:5006
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin C routed to IRQ 18
        Region 0: Memory at fa105000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>

00:1b.0 0403: 8086:284b (rev 02)
        Subsystem: 1458:a002
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at fa100000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

00:1c.0 0604: 8086:283f (rev 02) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- F...

Download full text (12.4 KiB)

Here is the output from booting the live CD image from 10 April ( http://cdimage.ubuntu.com/daily-live/20070410/ )

dmesg attached, lspci -vvn below:

ubuntu@ubuntu:~$ lspci -vvn
00:00.0 0600: 8086:29a0 (rev 02)
        Subsystem: 1458:5000
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
        Latency: 0
        Capabilities: <access denied>

00:01.0 0604: 8086:29a1 (rev 02) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 00006000-00006fff
        Memory behind bridge: f4000000-f6ffffff
        Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
        Capabilities: <access denied>

00:1a.0 0c03: 8086:2834 (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1458:5004
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 4: I/O ports at d000 [size=32]

00:1a.1 0c03: 8086:2835 (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1458:5004
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 18
        Region 4: I/O ports at c000 [size=32]

00:1a.7 0c03: 8086:283a (rev 02) (prog-if 20 [EHCI])
        Subsystem: 1458:5006
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin C routed to IRQ 20
        Region 0: Memory at fa105000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>

00:1b.0 0403: 8086:284b (rev 02)
        Subsystem: 1458:a002
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at fa100000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

00:1c.0 0604: 8086:283f (rev 02) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParEr...

Id2ndR (id2ndr) wrote :
Download full text (27.6 KiB)

I've got an computer which only support IDE hdd (no SATA). Linux kernel 2.6.17 works with it but, upgrading to feisty this morning, 2.6.20-14 doesn't.
The output show that linux detects 2 ata controler but recognise only cdrom devices attached to the second one. I tried to connect hdd to the second ata port but it doesn't work better.

Linux image 2.6.20-2 with is on a old daily live cd seems to recognize hdd but I can download the packet anymore on archive.ubuntu.com.

I copy bellow output of dmesg and lspci -vvn :with old kernel image :

[17179569.184000] Linux version 2.6.17-11-generic (root@terranova) (gcc version 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)) #2 SMP Tue Mar 13 23:32:38 UTC 2007 (Ubuntu 2.6.17-11.37-generic)
[17179569.184000] BIOS-provided physical RAM map:
[17179569.184000] BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
[17179569.184000] BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
[17179569.184000] BIOS-e820: 00000000000d2000 - 00000000000d8006 (reserved)
[17179569.184000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[17179569.184000] BIOS-e820: 0000000000100000 - 000000002fff0000 (usable)
[17179569.184000] BIOS-e820: 000000002fff0000 - 000000002fff8000 (ACPI data)
[17179569.184000] BIOS-e820: 000000002fff8000 - 0000000030000000 (ACPI NVS)
[17179569.184000] BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
[17179569.184000] BIOS-e820: 00000000fed00000 - 00000000fed01000 (reserved)
[17179569.184000] BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[17179569.184000] BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
[17179569.184000] 0MB HIGHMEM available.
[17179569.184000] 767MB LOWMEM available.
[17179569.184000] On node 0 totalpages: 196592
[17179569.184000] DMA zone: 4096 pages, LIFO batch:0
[17179569.184000] Normal zone: 192496 pages, LIFO batch:31
[17179569.184000] DMI 2.3 present.
[17179569.184000] ACPI: RSDP (v000 AMI ) @ 0x000fa6e0
[17179569.184000] ACPI: RSDT (v001 HP-BDD HPBDD-JH 0x00000010 MSFT 0x00000097) @ 0x2fff0000
[17179569.184000] ACPI: FADT (v001 HP-BDD HPBDD-JH 0x00000011 MSFT 0x00000097) @ 0x2fff0030
[17179569.184000] ACPI: MADT (v001 HP-BDD HPBDD-JH 0x00000001 MSFT 0x00000097) @ 0x2fff00c0
[17179569.184000] ACPI: DSDT (v001 HP-BDD HPBDD-JH 0x00000001 MSFT 0x0100000d) @ 0x00000000
[17179569.184000] ACPI: PM-Timer IO Port: 0x808
[17179569.184000] ACPI: Local APIC address 0xfee00000
[17179569.184000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[17179569.184000] Processor #0 15:2 APIC version 20
[17179569.184000] ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
[17179569.184000] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-23
[17179569.184000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[17179569.184000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[17179569.184000] ACPI: IRQ0 used by override.
[17179569.184000] ACPI: IRQ2 used by override.
[17179569.184000] ACPI: IRQ9 used by override.
[17179569.184000] Enabling APIC mode: Flat. Using 1 I/O APICs
[17179569.184000] Using ACPI (MADT) for SMP configuration information
[17179569.18400...

Download full text (4.0 KiB)

Interesting (possible indicative?) lines in dmesg related to it821x:

[ 85.605560] apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
[ 85.605563] apm: disabled - APM is not SMP safe.
[ 85.973492] it821x: can't process command 0xE5
[ 85.973514] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0
[ 85.973521] ata1.00: cmd e5/00:00:00:00:00/00:00:00:00:00/00 tag 0 cdb 0x0 data 0
[ 85.973522] res 50/00:01:01:00:00/00:00:00:00:00/00 Emask 0x80 (invalid argument)
[ 85.979772] ata1.00: configured for PIO
[ 85.979779] ata1: EH complete
[ 85.979806] SCSI device sda: 625142448 512-byte hdwr sectors (320073 MB)
[ 85.979816] sda: Write Protect is off
[ 85.979819] sda: Mode Sense: 00 3a 00 00
[ 85.979835] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 85.980694] it821x: can't process command 0x98
[ 85.980710] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0
[ 85.980715] ata1.00: cmd 98/01:00:00:00:00/00:00:00:00:00/00 tag 0 cdb 0x0 data 0
[ 85.980716] res 50/00:01:01:00:00/00:00:00:00:00/00 Emask 0x80 (invalid argument)
[ 85.987812] ata1.00: configured for PIO
[ 85.987818] ata1: EH complete
[ 85.988467] it821x: can't process command 0xB0
[ 85.988488] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0
[ 85.988493] ata1.00: cmd b0/d8:00:00:4f:c2/00:00:00:00:00/00 tag 0 cdb 0x0 data 0
[ 85.988495] res 50/00:01:01:00:00/00:00:00:00:00/00 Emask 0x80 (invalid argument)
[ 85.995914] ata1.00: configured for PIO
[ 85.995921] ata1: EH complete
[ 85.995932] SCSI device sda: 625142448 512-byte hdwr sectors (320073 MB)
[ 85.995942] sda: Write Protect is off
[ 85.995944] sda: Mode Sense: 00 3a 00 00
[ 85.995958] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 85.995973] SCSI device sda: 625142448 512-byte hdwr sectors (320073 MB)
[ 85.995981] sda: Write Protect is off
[ 85.995983] sda: Mode Sense: 00 3a 00 00
[ 85.995996] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 86.021418] it821x: can't process command 0xE5
[ 86.021440] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0
[ 86.021445] ata2.00: cmd e5/00:00:00:00:00/00:00:00:00:00/00 tag 0 cdb 0x0 data 0
[ 86.021447] res 50/00:01:01:00:00/00:00:00:00:00/00 Emask 0x80 (invalid argument)
[ 86.027846] ata2.00: configured for PIO
[ 86.027853] ata2: EH complete
[ 86.035625] SCSI device sdb: 625142448 512-byte hdwr sectors (320073 MB)
[ 86.039603] sdb: Write Protect is off
[ 86.039605] sdb: Mode Sense: 00 3a 00 00
[ 86.047594] SCSI device sdb: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 86.114796] it821x: can't process command 0x98
[ 86.114813] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0
[ 86.114818] ata2.00: cmd 98/01:00:00:00:00/00:00:00:00:00/00 tag 0 cdb 0x0 data 0
[ 86.114819] res 50/00:01:01:00:00/00:00:00:00:00/00 Emask 0x80 (invalid argument)
[ 86.119772] ata2.00: configured for PIO
[ 86.119778] ata2: EH complete
[ 86.120002] it821x: can't process command 0xB0
[ 86.1...

Read more...

Olaf Leidinger (leidola) wrote :

(Maybe) same problem here.

On linux-image >= 2.6.20.14 my IDE disk is recognized as SCSI/SATA disk and therefore the device isn't hda? but sda?.

The IDE interface is : Advanced Micro Devices [AMD] AMD-768 [Opus] IDE (rev 04) (prog-if 8a [Master SecP PriP])

Ciao,
Olaf

Olaf Leidinger (leidola) wrote :

Oh, I'm sorry... seems to be fixed for me with the latest version of 2.6.20.15.

Ciao,
Olaf

Id2ndR (id2ndr) wrote :

Hi,

I think this bug is *major* whereas its importance is currently set to low.
In fact I downloaded and burn iso image of feisty. I just tried it one an older computer with IDE only CdRom and HDD and it doesn't start at all : I can see a busybok because kinit is not able to mount cdrom (root file system) !

I found the solution for my problem, at least: somewhere in the incremental changes in the 2.6.20.* kernels, the method of determining uuid must have changed: my fstab contained an *almost* identical fstab to what the latest kernels identified the disk as (see screenshot of Gnome disk properties and fstab extract

I changed the fstab with the new uuid and the reboot worked fine!

Id2ndR (id2ndr) wrote :

I fix the problem of my comment of 2007-04-13. This is https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/106864/comments/13
I now can use this computer.

One my older computer (my comment of 2007-04-19), where no older kernle is install, I can't boot the liveCD because I can't load piix as my usb keyboard is not detected before busybox appears. But I don't require to use Ubuntu on this computer, it's just a test.

So if other people can fix trouble by loading piix (see link before), this bug is a duplicate of #106864 one.

I just upgraded to Hardy Heron (Linux kernel 2.6.24) and the same problem is replicated: system boots but fsck complains about certain disks referenced in /etc/fstab (by uuid) are missing: spesifically the 2 disks on the IT8212 IDE controller (that were also disappearing when I reported this bug earlier).

Fsck dies with exit status 9.

Changed in linux-source-2.6.24:
assignee: nobody → ubuntu-kernel-team

Hi Anders,

Can you attach your dmesg output for the newer kernel? Thanks.

Changed in linux:
status: New → Incomplete

A task against the actively developed kernel has been opened so we are closing the task against linux-source-2.6.20. Thanks!

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix

Leann/All, to avoid confusing the issue I have raised a new bug and included the information I believe you require:

Please check out Bug #182949 , "IDE disks not found by linux 2.6.24 (but are working fine in gutsy)"

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers